> ## Documentation Index
> Fetch the complete documentation index at: https://developer.buildpass.global/llms.txt
> Use this file to discover all available pages before exploring further.

# Create meeting

> Create a draft meeting for a builder



## OpenAPI

````yaml POST /builders/{builderId}/meetings
openapi: 3.0.0
info:
  title: BuildPass API
  description: >-
    Approved integrators can connect to the BuildPass API on behalf of builders
    to build connections between a wide range of construction platforms.
  version: 1.0.0
servers:
  - url: https://api.buildpass.global
    description: Production server
security:
  - OAuth2: []
paths:
  /builders/{builderId}/meetings:
    post:
      description: Create a draft meeting for a builder
      operationId: createMeeting
      parameters:
        - name: builderId
          in: path
          required: true
          schema:
            type: string
            example: buil_clgbsb90b001qjy0f0eo1hspp
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MeetingCreateRequest'
      responses:
        '200':
          description: Created meeting
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Meeting'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '429':
          description: Too Many Requests
        '500':
          description: Internal Server Error
      security:
        - OAuth2:
            - write:meetings
components:
  schemas:
    MeetingCreateRequest:
      type: object
      required:
        - title
      properties:
        title:
          type: string
          example: Supasite meeting
        projectId:
          type: string
          example: proj_clgbsb90b001qjy0f0eo1hscp
        startAt:
          type: string
          format: date-time
          example: '2026-01-15T09:00:00.000Z'
        agenda:
          type: array
          maxItems: 20
          items:
            type: string
          example:
            - Review site risks
        notes:
          type: string
          example: Started from Supasite
        externalSourceId:
          type: string
          example: supasite:meeting:user_123:2026-01-15T09:00:00.000Z
        sourceApp:
          type: string
          default: external
          example: supasite
    Meeting:
      type: object
      properties:
        id:
          type: string
          example: extapitoolboxmeeting01
        builderId:
          type: string
          example: buil_clgbsb90b001qjy0f0eo1hspp
        projectId:
          type: string
          example: proj_clgbsb90b001qjy0f0eo1hscp
        projectName:
          type: string
          example: Downtown Mall Construction
        projectTimezone:
          type: string
          nullable: true
          example: Australia/Brisbane
        title:
          type: string
          example: External API seeded meeting
        name:
          type: string
          example: External API seeded meeting
        meetingTitle:
          type: string
          nullable: true
          example: External API seeded meeting
        meetingTypeId:
          type: string
          nullable: true
          example: null
        meetingTypeName:
          type: string
          nullable: true
          example: null
        date:
          type: string
          format: date-time
          example: '2026-01-15T09:00:00.000Z'
        startAt:
          type: string
          format: date-time
          example: '2026-01-15T09:00:00.000Z'
        scheduledAt:
          type: string
          format: date-time
          example: '2026-01-15T09:00:00.000Z'
        status:
          type: string
          enum:
            - DRAFT
            - DISTRIBUTED
            - COMPLETED
            - RUNNING
          example: DISTRIBUTED
        meetingStatus:
          type: string
          enum:
            - DRAFT
            - DISTRIBUTED
            - COMPLETED
            - RUNNING
          example: DISTRIBUTED
        agenda:
          type: string
          nullable: true
          example: External API integration test agenda
        description:
          type: string
          nullable: true
          example: Seeded meeting for External API integration tests
        notes:
          type: string
          nullable: true
          example: Seeded meeting for External API integration tests
        updatedAt:
          type: string
          format: date-time
          example: '2026-01-15T09:00:00.000Z'
    ErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              fieldName:
                type: string
                example: name
              message:
                type: string
                example: This field is required.
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.buildpass.global/oauth/token
          scopes:
            read:subcontractors: Read subcontractors
            write:subcontractors: Write subcontractors
            read:prequalifications: Read prequalifications
            write:prequalifications: Write prequalifications
            read:insurances: Read insurances
            write:insurances: Write insurances
            read:contacts: Read contacts
            read:swms: Read SWMS
            read:timesheets: Read timesheets
            read:inductions: Read inductions
            read:meetings: Read meetings
            write:meetings: Write meetings
            read:photos: Read photos and photo folders
            write:photos: Create, update, delete, and sync photos and photo folders

````